aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSébastien Fabbro <bicatali@gentoo.org>2014-02-27 12:31:12 -0800
committerSébastien Fabbro <bicatali@gentoo.org>2014-02-27 12:31:12 -0800
commitc34f378cc207d91142eadf7003ac05ea987fdb8f (patch)
tree41b5eef6e643386a37c86186c41c28ca5cc049dd /sci-astronomy
parentsci-astronomy/swarp: EAPI-5, autotools-utils (diff)
downloadsci-c34f378cc207d91142eadf7003ac05ea987fdb8f.tar.gz
sci-c34f378cc207d91142eadf7003ac05ea987fdb8f.tar.bz2
sci-c34f378cc207d91142eadf7003ac05ea987fdb8f.zip
sci-astronomy/psfex: EAPI-5, autotools-utils, fixed plplot flag
Package-Manager: portage-2.2.8-prefix
Diffstat (limited to 'sci-astronomy')
-rw-r--r--sci-astronomy/psfex/ChangeLog8
-rw-r--r--sci-astronomy/psfex/metadata.xml10
-rw-r--r--sci-astronomy/psfex/psfex-3.9.1-r1.ebuild54
l---------sci-astronomy/psfex/psfex-3.9.1.ebuild1
-rw-r--r--sci-astronomy/psfex/psfex-9999.ebuild26
5 files changed, 31 insertions, 68 deletions
diff --git a/sci-astronomy/psfex/ChangeLog b/sci-astronomy/psfex/ChangeLog
index 40b804c9d..1baf9a893 100644
--- a/sci-astronomy/psfex/ChangeLog
+++ b/sci-astronomy/psfex/ChangeLog
@@ -1,7 +1,13 @@
# ChangeLog for sci-astronomy/psfex
-# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*psfex-3.9.1 (27 Feb 2014)
+
+ 27 Feb 2014; Sébastien Fabbro <bicatali@gentoo.org> +psfex-3.9.1.ebuild,
+ -psfex-3.9.1-r1.ebuild, metadata.xml, psfex-9999.ebuild:
+ sci-astronomy/psfex: EAPI-5, autotools-utils, fixed plplot flag
+
14 Jun 2013; Justin Lecher <jlec@gentoo.org> psfex-9999.ebuild, metadata.xml:
Drop KEYWORDS of live ebuilds
diff --git a/sci-astronomy/psfex/metadata.xml b/sci-astronomy/psfex/metadata.xml
index 1dfc18ae2..4f00f5a6b 100644
--- a/sci-astronomy/psfex/metadata.xml
+++ b/sci-astronomy/psfex/metadata.xml
@@ -1,14 +1,14 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <herd>sci-astronomy</herd>
- <longdescription lang="en">
+<herd>sci-astronomy</herd>
+<longdescription lang="en">
PSFEx (“PSF Extractor”) extracts models of the Point Spread
Function (PSF) from FITS images processed with <pkg>sci-libs/sextractor</pkg>, and
measures the quality of images. The generated PSF models can be used
for model-fitting photometry or morphological analyses.
</longdescription>
- <use>
- <flag name="plplot">Build with <pkg>sci-libs/plplot</pkg> to allow diagnostic plots during processing</flag>
- </use>
+<use>
+ <flag name="plplot">Build with <pkg>sci-libs/plplot</pkg> to allow diagnostic plots during processing</flag>
+</use>
</pkgmetadata>
diff --git a/sci-astronomy/psfex/psfex-3.9.1-r1.ebuild b/sci-astronomy/psfex/psfex-3.9.1-r1.ebuild
deleted file mode 100644
index 95db3e0e3..000000000
--- a/sci-astronomy/psfex/psfex-3.9.1-r1.ebuild
+++ /dev/null
@@ -1,54 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI=4
-
-inherit autotools
-
-DESCRIPTION="Extracts models of the Point Spread Function from FITS images"
-HOMEPAGE="http://www.astromatic.net/software/psfex"
-SRC_URI="http://www.astromatic.net/download/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="doc plplot threads"
-
-RDEPEND="sci-libs/atlas[lapack]
- sci-libs/fftw:3.0
- plplot? ( sci-libs/plplot )"
-DEPEND="${RDEPEND}"
-
-src_prepare() {
- local mycblas=atlcblas myclapack=atlclapack
- if use threads; then
- [[ -e ${EPREFIX}/usr/$(get_libdir)/libptcblas.so ]] && \
- mycblas=ptcblas
- [[ -e ${EPREFIX}/usr/$(get_libdir)/libptclapack.so ]] && \
- myclapack=ptclapack
- fi
- # fix the configure and not the acx_atlas.m4. the eautoreconf will
- # produce a configure giving a wrong install Makefile target (to fix)
- sed -i \
- -e "s/-lcblas/-l${mycblas}/g" \
- -e "s/AC_CHECK_LIB(cblas/AC_CHECK_LIB(${mycblas}/g" \
- -e "s/-llapack/-l${myclapack}/g" \
- -e "s/AC_CHECK_LIB(lapack/AC_CHECK_LIB(${myclapack}/g" \
- acx_atlas.m4 || die
- # fix for newer plplot
- sed -i -e 's/plcol(/plcol0(/g' src/cplot.c || die
- eautoreconf
-}
-
-src_configure() {
- econf \
- --with-atlas-incdir="${EPREFIX}/usr/include/atlas" \
- $(use_with plplot) \
- $(use_enable threads)
-}
-
-src_install () {
- default
- use doc && dodoc doc/*
-}
diff --git a/sci-astronomy/psfex/psfex-3.9.1.ebuild b/sci-astronomy/psfex/psfex-3.9.1.ebuild
new file mode 120000
index 000000000..1942f52c3
--- /dev/null
+++ b/sci-astronomy/psfex/psfex-3.9.1.ebuild
@@ -0,0 +1 @@
+psfex-9999.ebuild \ No newline at end of file
diff --git a/sci-astronomy/psfex/psfex-9999.ebuild b/sci-astronomy/psfex/psfex-9999.ebuild
index 0e10198f7..db4df69be 100644
--- a/sci-astronomy/psfex/psfex-9999.ebuild
+++ b/sci-astronomy/psfex/psfex-9999.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI=4
+EAPI=5
if [[ ${PV} == "9999" ]] ; then
_SVN=subversion
@@ -14,7 +14,10 @@ else
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
fi
-inherit ${_SVN} autotools
+AUTOTOOLS_AUTORECONF=1
+AUTOTOOLS_IN_SOURCE_BUILD=1
+
+inherit ${_SVN} autotools-utils multilib
DESCRIPTION="Extracts models of the Point Spread Function from FITS images"
HOMEPAGE="http://www.astromatic.net/software/psfex"
@@ -23,7 +26,8 @@ LICENSE="GPL-3"
SLOT="0"
IUSE="doc threads plplot"
-RDEPEND="sci-libs/atlas[lapack]
+RDEPEND="
+ sci-libs/atlas[lapack,threads=]
sci-libs/fftw:3.0
plplot? ( sci-libs/plplot )"
DEPEND="${RDEPEND}"
@@ -42,19 +46,25 @@ src_prepare() {
-e "s/-lcblas/-l${mycblas}/g" \
-e "s/AC_CHECK_LIB(cblas/AC_CHECK_LIB(${mycblas}/g" \
-e "s/-llapack/-l${myclapack}/g" \
+ -e "s/\(lapack_lib=\).*/\1${myclapack}/g" \
-e "s/AC_CHECK_LIB(lapack/AC_CHECK_LIB(${myclapack}/g" \
acx_atlas.m4 || die
- eautoreconf
+
+ # fix for newer plplot
+ sed -i -e 's/plcol(/plcol0(/g' src/cplot.c || die
+ autotools-utils_src_prepare
}
src_configure() {
- econf \
- --with-atlas-incdir="${EPREFIX}/usr/include/atlas" \
- $(use_with plplot) \
+ local myeconfargs=(
+ --with-atlas-incdir="${EPREFIX}/usr/include/atlas"
+ $(use_enable plplot)
$(use_enable threads)
+ )
+ autotools-utils_src_configure
}
src_install () {
- default
+ autotools-utils_src_install
use doc && dodoc doc/*
}